<?php
/*
 * list one template
*/
if ($settings['style'] == 'style-1') :

?>
    <!-- shop Card 0 -->
    <section class="shop-area ">
        <div class="swp-container">
            <div class="swp-row">
                <?php
                if ($swp_shop_posts_query->have_posts()) :
                    while ($swp_shop_posts_query->have_posts()) : $swp_shop_posts_query->the_post();
                        $img_src = wp_get_attachment_image_src(get_post_thumbnail_id(), 'full');
                        global $product;

                ?>
                        <div class="swp-col-lg-<?php echo esc_attr($settings['column']); ?> swp-col-sm-6">
                            <div class="swp-shop-single-inner">
                                <div class="icon-img">
                                    <a class="swp-image-popup" href="<?php echo esc_url($img_src[0]); ?>">
                                        <?php the_post_thumbnail(); ?>
                                    </a>
                                    <div class="swp-badge-btn-wrap swp-badge-btn-right">
                                        <?php swp_shop_display_percentage_on_sale_badge(); ?>
                                        <?php
                                        $newness_days = 30;
                                        $created = strtotime($product->get_date_created());
                                        if ((time() - (60 * 60 * 24 * $newness_days)) < $created) {
                                        ?>
                                            <div class="swp-badge-btn"><?php esc_html_e('New', 'swp-shop'); ?></div>
                                        <?php } ?>
                                    </div>
                                </div>
                                <div class="content-box">
                                    <<?php echo esc_attr($settings['titltag']); ?> class="inner-title">
                                        <a <?php echo esc_attr(('new-window' == $settings['open-url'] ? 'target="_blank"' : '')); ?> href="<?php the_permalink(); ?>">
                                            <?php
                                            if ('full' == $settings['dtitle']) :

                                                the_title();

                                            else :
                                                echo esc_html(wp_trim_words(get_the_title(), $settings['title_excerpt_length'], ''));
                                            endif;
                                            ?>
                                        </a>
                                    </<?php echo esc_attr($settings['titltag']); ?>>
                                    <p class="price"><?php echo wp_kses_post($product->get_price_html()); ?></p>
                                </div>
                            </div>
                        </div>
                    <?php endwhile; ?>
                    <?php include swp_shop_get_template('pagination.php'); ?>
                <?php
                    wp_reset_postdata();
                else :
                ?>
                    <h3 class="no-post-found"><?php esc_html_e('Sorry, No Product Found', 'swp-shop') ?></h3>
                <?php endif; ?>
            </div>
        </div>
    </section>
    <!-- shop Card 0 -->
<?php endif;
