<?php
/*
 * list one template
*/
if ($settings['style'] == 'style-1') :

?>
    <!-- shop Card 5 -->
    <section class="shop-area  style-5">
        <div class="swp-container">

            <div class="swp-row">
                <?php
                if ($swp_shop_posts_query->have_posts()) :
                    while ($swp_shop_posts_query->have_posts()) : $swp_shop_posts_query->the_post();
                        $img_src = wp_get_attachment_image_src(get_post_thumbnail_id(), 'full');
                        global $product;

                ?>
                        <div class="swp-col-lg-<?php echo esc_attr($settings['column']); ?> swp-col-sm-6">
                            <div class="swp-shop-single-inner style-5 swp-text-center">
                                <div class="icon-img">
                                    <?php the_post_thumbnail(); ?>
                                    <div class="swp-badge-btn-wrap swp-badge-btn-right">
                                        <?php swp_shop_display_percentage_on_sale_badge(); ?>
                                        <?php
                                        $newness_days = 30;
                                        $created = strtotime($product->get_date_created());
                                        if ((time() - (60 * 60 * 24 * $newness_days)) < $created) {
                                        ?>
                                            <div class="swp-badge-btn"><?php esc_html_e('New', 'swp-shop'); ?></div>
                                        <?php } ?>
                                    </div>
                                    <div class="swp-readmore-arrow-wrap">
                                        <?php swp_shop_add_to_cart_button(); ?>
                                        <a class="swp-readmore-arrow swp-image-popup" href="<?php echo esc_url($img_src[0]); ?>"><i class="fa fa-search-plus"></i></a>
                                        <?php if (shortcode_exists('yith_wcwl_add_to_wishlist')) : ?>
                                            <div class="swp-readmore-arrow"><?php echo do_shortcode('[yith_wcwl_add_to_wishlist  link_classes="add_to_wishlist " label="" product_added_text="" browse_wishlist_text="" already_in_wishslist_text="" icon="far fa-heart"]'); ?></div>
                                        <?php endif; ?>
                                    </div>
                                </div>
                                <div class="content-box">
                                    <div class="content-details">
                                        <<?php echo esc_attr($settings['titltag']); ?> class="inner-title">
                                            <a <?php echo esc_attr(('new-window' == $settings['open-url'] ? 'target="_blank"' : '')); ?> href="<?php the_permalink(); ?>">
                                                <?php
                                                if ('full' == $settings['dtitle']) :

                                                    the_title();

                                                else :
                                                    echo esc_html(wp_trim_words(get_the_title(), $settings['title_excerpt_length'], ''));
                                                endif;
                                                ?>
                                            </a>
                                        </<?php echo esc_attr($settings['titltag']); ?>>
                                        <?php echo wp_kses_post($product->get_price_html()); ?>
                                        <div class="swp-ratting-inner">
                                            <?php
                                            $rating = get_post_meta(get_the_ID(), '_wc_average_rating', true);
                                            echo '<div class="star-rating" title="Rated ' . $rating . ' out of 5">';
                                            echo '<span style="width:' . (($rating / 5) * 100) . '%"><strong>' . $rating . '</strong> out of 5</span>';
                                            echo '</div>';
                                            ?>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    <?php endwhile; ?>
                    <?php include swp_shop_get_template('pagination.php'); ?>
                <?php
                    wp_reset_postdata();
                else :
                ?>
                    <h3 class="no-post-found"><?php esc_html_e('Sorry, No Product Found', 'swp-shop') ?></h3>
                <?php endif; ?>
            </div>
        </div>
    </section>
    <!-- shop Card 5 -->
<?php endif;
