<?php
// pagination template

if ('yes' == $settings['enable_pagination']) :
?>
    <div class="swp-container text-center">
        <nav class="swp-page-navigation">
            <?php

            $swp_shop_total_pages = $swp_shop_posts_query->max_num_pages;

            if ($swp_shop_total_pages > 1) {

                $swp_shop_current_page = (is_front_page() ? max(1, get_query_var('page')) : max(1, get_query_var('paged')));

                echo paginate_links(array(
                    'base' => get_pagenum_link(1) . '%_%',
                    'format' => '/page/%#%',
                    'current' => $swp_shop_current_page,
                    'total' => $swp_shop_total_pages,
                    'prev_text'    => '<i class="fa fa-angle-double-left"></i>',
                    'next_text'    => '<i class="fa fa-angle-double-right"></i>',
                ));
            }

            ?>

        </nav>
    </div>
<?php
endif;
