<?php
/*
 * list one template
*/
if ($settings['style'] == 'style-2') :

?>
    <!-- shop 18 -->
    <section class="shop-area  style-18">
        <div class="swp-container">

            <div class="swp-row">
                <div class="swp-col-lg-3">
                    <div class="swp-tab-menu style-two">
                        <ul>
                            <?php
                            if (is_array($settings['select_cat'])) :
                                $i = 1;
                                foreach ($settings['select_cat'] as $term) :
                            ?>
                                    <li>
                                        <a href="#" class="<?php echo ($i == 1 ? 'active ' : ''); ?> swp-default" data-rel="swp-tab2-<?php echo esc_attr($i); ?>">
                                            <?php echo esc_html(swp_shop_get_cat_name($term)); ?>
                                        </a>
                                    </li>
                            <?php $i++;
                                endforeach;
                            endif; ?>
                        </ul>
                    </div>
                </div>
                <div class="swp-col-lg-9">
                    <div class="swp-tab-main-box">
                        <?php
                        $i = 1;
                        if (is_array($settings['select_cat'])) :

                            foreach ($settings['select_cat'] as $term) :
                        ?>
                                <div class="swp-tab-box" id="swp-tab2-<?php echo esc_attr($i); ?>" style="<?php echo ($i == 1 ? 'display:block ' : ''); ?>;">
                                    <div class="swp-row">
                                        <?php
                                        $args  = array(
                                            'post_type'           => 'product',
                                            'post_status'         => 'publish',
                                            'ignore_sticky_posts' => 1,
                                            'posts_per_page'      => $settings['ppr'],
                                        );

                                        $args['orderby'] = $settings['orderby'];
                                        $args['order']   = $settings['order'];


                                        $args['tax_query'][] = array(
                                            'taxonomy' => 'product_cat',
                                            'field'    => 'term_id',
                                            'terms'    => $term,
                                            'operator' => 'IN',
                                        );

                                        if (!empty($settings['exclude_cat'])) {
                                            $args['tax_query'][] = array(
                                                'taxonomy' => 'product_cat',
                                                'field'    => 'id',
                                                'terms'    => array_values($settings['exclude_cat']),
                                                'operator' => 'NOT IN'
                                            );
                                        }

                                        $swp_shop_posts_query = new \WP_Query($args);

                                        if ($swp_shop_posts_query->have_posts()) :
                                            while ($swp_shop_posts_query->have_posts()) : $swp_shop_posts_query->the_post();
                                                $img_src = wp_get_attachment_image_src(get_post_thumbnail_id(), 'full');
                                                global $product;


                                        ?>
                                                <div class="swp-col-lg-4 swp-col-sm-6">
                                                    <div class="swp-shop-single-inner style-3 swp-text-center">
                                                        <div class="icon-img">
                                                            <?php the_post_thumbnail('swp_shop_255x283'); ?>
                                                            <div class="swp-badge-btn-wrap swp-badge-btn-right">
                                                                <?php swp_shop_display_percentage_on_sale_badge(); ?>
                                                                <?php
                                                                $newness_days = 30;
                                                                $created = strtotime($product->get_date_created());
                                                                if ((time() - (60 * 60 * 24 * $newness_days)) < $created) {
                                                                ?>
                                                                    <div class="swp-badge-btn"><?php esc_html_e('New', 'swp-shop'); ?></div>
                                                                <?php } ?>
                                                            </div>
                                                            <div class="swp-readmore-arrow-wrap">
                                                                <?php swp_shop_add_to_cart_button(); ?>
                                                                <a class="swp-readmore-arrow swp-image-popup" href="<?php echo esc_url($img_src[0]); ?>"><i class="fa fa-search-plus"></i></a>
                                                                <?php if (shortcode_exists('yith_wcwl_add_to_wishlist')) : ?>
                                                                    <div class="swp-readmore-arrow"><?php echo do_shortcode('[yith_wcwl_add_to_wishlist  link_classes="add_to_wishlist " label="" product_added_text="" browse_wishlist_text="" already_in_wishslist_text="" icon="far fa-heart"]'); ?></div>
                                                                <?php endif; ?>
                                                            </div>
                                                        </div>
                                                        <div class="content-box">
                                                            <div class="content-details">
                                                                <<?php echo esc_attr($settings['titltag']); ?> class="inner-title">
                                                                    <a <?php echo esc_attr(('new-window' == $settings['open-url'] ? 'target="_blank"' : '')); ?> href="<?php the_permalink(); ?>">
                                                                        <?php
                                                                        if ('full' == $settings['dtitle']) :

                                                                            the_title();

                                                                        else :
                                                                            echo esc_html(wp_trim_words(get_the_title(), $settings['title_excerpt_length'], ''));
                                                                        endif;
                                                                        ?>
                                                                    </a>
                                                                </<?php echo esc_attr($settings['titltag']); ?>>
                                                                <?php echo wp_kses_post($product->get_price_html()); ?>
                                                            </div>
                                                        </div>
                                                    </div>
                                                </div>
                                        <?php endwhile;
                                        endif; ?>
                                    </div>
                                </div>
                            <?php $i++;
                            endforeach;
                        else : ?>
                            <h3><?php echo esc_html__('Please Select A Category', 'swp-shop'); ?></h3>
                        <?php endif;  ?>
                    </div>
                </div>
            </div>
        </div>
    </section>
    <!-- shop 18 -->
<?php endif; ?>